Welcome! Log In Create A New Profile

Advanced

LAMP - Mariadb/Mysql installation issue on Debian 5.2.9-kirkwood-tld-1

Posted by Tushar 
LAMP - Mariadb/Mysql installation issue on Debian 5.2.9-kirkwood-tld-1
September 20, 2019 05:05PM
I was trying to install LAMP server on my Pogoplug V4. All the instructions found on the web for this device is outdated. I successfully passed Apache2, Php 7 working. However, when I try to install Mariadb, I keep on receiving the following error:

I spent the whole day searching for solution on Google/stackexchange etc, but nothing works! I wonder if someone can help me what's the issue? Note that I did the same setup 2/3 days ago on linux lite on my laptop and everything worked without any problem. I am following the instructions found here

Setting up mariadb-server-10.3 (1:10.3.17-0+deb10u1) ...
[FAIL] Starting MariaDB database server: mysqld . . . . . . . . . . . . . . . . . . . . . . . . . . . . . . failed!
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: error processing package mariadb-server-10.3 (--configure):
 installed mariadb-server-10.3 package post-installation script subprocess returned error exit status 1
dpkg: dependency problems prevent configuration of mariadb-server:
 mariadb-server depends on mariadb-server-10.3 (>= 1:10.3.17-0+deb10u1); however:
  Package mariadb-server-10.3 is not configured yet.

dpkg: error processing package mariadb-server (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 mariadb-server-10.3
 mariadb-server
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@debian:~#

Thanks.

Tushar.
Re: LAMP - Mariadb/Mysql installation issue on Debian 5.2.9-kirkwood-tld-1
September 21, 2019 03:42AM
Since I just setup a M300 with 5.2.9-kirkwood-tld-1 I thought I'd try this installation just for the fun of it. I didn't have any problem, but I didn't follow the instructions exactly. I installed the packages in this order:
apt-get install mariadb-server-10.3
apt-get install mariadb-server
apt-get install php-mysql
apt-get install apache2
apt-get install php php-mbstring
I then downloaded and installed phpMyAdmin. I didn't fully configure everything; I just did enough to prove to myself that everything installed ok.

For your problem, I'd search for "dpkg post-installation script subprocess returned error exit status 1".

For exampe, this link gives some information on how to troubleshoot dpkg installation errors.

Good luck!
-JT
Author:

Your Email:


Subject:


Spam prevention:
Please, enter the code that you see below in the input field. This is for blocking bots that try to post this form automatically. If the code is hard to read, then just try to guess it right. If you enter the wrong code, a new image is created and you get another chance to enter it right.
Message: